Bug 219301 - typos in /etc/init.d/irqbalance....
typos in /etc/init.d/irqbalance....
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: irqbalance (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-12 10:08 EST by Tom London
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-21 10:46:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2006-12-12 10:08:44 EST
Description of problem:
Get this on boot or with 'service irqbalance status':
/etc/init.d/irqbalance: line 100: unexpected EOF while looking for matching `"'
/etc/init.d/irqbalance: line 105: syntax error: unexpected end of file

Service does not start.

Missing " on line 52, should be:
                export "IRQBALANCE_BANNED_CPUS=$IRQ_AFFINITY_MASK"
(first " missing).

[Also, missing ';;' at about line 101 (for default case).]


Version-Release number of selected component (if applicable):
irqbalance-0.54-1.fc7

How reproducible:
Every time

Steps to Reproduce:
1. install
2. boot or 'service irqbalance status'
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Neil Horman 2006-12-12 11:28:59 EST
Thank you for noticing.  I actually need to remove that second quote, rather
than add the first however.  This will be fixed in irqbalance-0.55-2.fc7. 
Thanks again!

Note You need to log in before you can comment on or make changes to this bug.